local function Values()
  if count == nil then
    count = 0
  end
  if sound == nil then
    sound = {}
    table.insert(sound, 3389237)
    table.insert(sound, 3389238)
    table.insert(sound, 3389239)
    table.insert(sound, 3389260)
    table.insert(sound, 3389261)
    table.insert(sound, 3389262)
    table.insert(sound, 3388391)
    table.insert(sound, 3388392)
    table.insert(sound, 3388393)
    table.insert(sound, 3388394)
    table.insert(sound, 3388395)
    table.insert(sound, 3388396)
    table.insert(sound, 3744221)
    table.insert(sound, 3744220)
    table.insert(sound, 3744219)
    table.insert(sound, 552181)
    table.insert(sound, 552173)
    table.insert(sound, 2961933)
    table.insert(sound, 541728)
    table.insert(sound, 540745)
  end
  playing = false
  mountSpells = {}
  mountIDs = C_MountJournal.GetMountIDs()
  for _, mountID in pairs(mountIDs) do
    name, spellID = C_MountJournal.GetMountInfoByID(mountID)
    table.insert(mountSpells, spellID)
  end
end
local function Next()
  playing = false
  number = nextsound
  while number == nextsound do
    number = math.random(#sound)
  end
  nextsound = number
end
local f = CreateFrame("Frame")
--
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:RegisterEvent("CHAT_MSG_WHISPER")
f:RegisterEvent("UNIT_SPELLCAST_FAILED")
f:SetScript("OnEvent", function(arg1, arg2, arg3, arg4, arg5)
  if arg2 == "PLAYER_ENTERING_WORLD" then
    Values()
  elseif arg2 == "CHAT_MSG_WHISPER" then
    if string.lower(arg3) == "mountcount" then
      SendChatMessage("I have tried to mount in the Maw ".. tostring(count).." times.", "WHISPER", nil, arg4)
    end
  else
    if C_Map.GetBestMapForUnit("player") == 1543 then
      for index, mountSpell in pairs(mountSpells) do
        if mountSpell == arg5 then
          count = count + 1
          DEFAULT_CHAT_FRAME:AddMessage("Zovaal: ".. tostring(count).. " pathetic attempts to escape the Maw.", 0.5, 0, 0)
          if not playing then
            playing = true
            if nextsound == nil then
              Next()
            end
            PlaySoundFile(sound[nextsound])
            C_Timer.After(5, Next)
          end
        end
      end
    end
  end
end)
--
SLASH_MOUNTCOUNT1 = "/mc"
SlashCmdList["MOUNTCOUNT"] = function(input)
  if input == nil then input = "" end
  input = string.lower(input)
  if string.find(input, "count") then
    if string.find(input, "reset") then
      StaticPopup_Show ("MOUNTCOUNT_RESET")
    else
      DEFAULT_CHAT_FRAME:AddMessage("You have attempted to mount in the Maw".. tostring(count).. " times.", 0.5, 0, 0)
    end
  elseif string.find(input, "sound") then
    if string.find(input, "reset") then
      sound = nil
      Values()
      DEFAULT_CHAT_FRAME:AddMessage("Sounds have been reset.", 0.5, 0.5, 0.5)
      DEFAULT_CHAT_FRAME:AddMessage("Don't forget to use /reload to save.", 0.5, 0.5, 0.5)
    else
      input = string.sub(input, 7)
      table.insert(sound, tonumber(input))
      DEFAULT_CHAT_FRAME:AddMessage(input.. " was added to the sound database.", 0.5, 0.5, 0.5)
      DEFAULT_CHAT_FRAME:AddMessage("Don't forget to use /reload to save.", 0.5, 0.5, 0.5)
    end
  else
    DEFAULT_CHAT_FRAME:AddMessage("MountCount commands:", 0.75, 0, 0)
    DEFAULT_CHAT_FRAME:AddMessage("/mc count - shows the count", 0.5, 0.5, 0.5)
    DEFAULT_CHAT_FRAME:AddMessage("/mc count reset - resets the count", 0.5, 0.5, 0.5)
    DEFAULT_CHAT_FRAME:AddMessage("/mc sound XXXXXXX - adds a sound", 0.5, 0.5, 0.5)
    DEFAULT_CHAT_FRAME:AddMessage("/mc sound reset - resets the sounds", 0.5, 0.5, 0.5)
  end
end
--
StaticPopupDialogs["MOUNTCOUNT_RESET"] = {
  text = "Reset MountCount and ReloadUI?",
  button1 = "Yes",
  button2 = "No",
  OnAccept = function()
    count = 0
    ReloadUI()
  end,
  timeout = 0,
  whileDead = true,
  hideOnEscape = true,
  preferredIndex = 3,
}